Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class Background

    java.lang.Object
      |
      +--shout3d.core.Node
            |
            +--shout3d.core.Bindable
                  |
                  +--shout3d.core.Background

public class Background
extends Bindable

A Background

Field Summary
`FloatArrayField` | `color`
`float[]` | `defaultColor`
`BooleanField` | `stretchToFit`
`NodeField` | `texture`

Fields inherited from class shout3d.core.Bindable
`isBound`

Constructor Summary
`Background()` Constructs a default Background
`Background(Shout3DViewer theViewer)` Constructor that takes a viewer as input.

Method Summary
`void` | `onFieldChange(Field theField, java.lang.Object userData)` Subclasses must call this from within their own onFieldChange() method as super.onFieldChange(theField, userData) or the Background will not work correctly

Methods inherited from class shout3d.core.Node
`getDEFName, getField, getFieldByIndex, getFieldName, getNumFields, getTypeName, isOfType, setDEFName, setViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultColor

    public final float[] defaultColor

### color

    public final FloatArrayField color

### texture

    public final NodeField texture

### stretchToFit

    public final BooleanField stretchToFit

Constructor Detail

### Background

    public Background()

  Constructs a default Background

### Background

    public Background(Shout3DViewer theViewer)

  Constructor that takes a viewer as input.
  Parameters:
    `viewer` - the viewer in which this background appears.

Method Detail

### onFieldChange

    public void onFieldChange(Field theField,
                              java.lang.Object userData)

  Subclasses must call this from within their own onFieldChange() method as super.onFieldChange(theField, userData) or the Background will not work correctly
  Overrides:
    onFieldChange in class Bindable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD